## sprayhound 0.0~git20241231.5e7bf94

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean
	python3.7 setup.py sdist bdist_wheel
	python3.7 -m twine upload dist/*

testpublish: clean
	python3.7 setup.py sdist bdist_wheel
	python3.7 -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*

rebuild: clean
	python3.7 setup.py install

build: clean
	python3.7 setup.py install

install: build

test:
	python3.7 setup.py test

=== requirements.txt ===
neo4j
ldap3

=== debian/changelog ===
sprayhound (0.0~git20241231.5e7bf94-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20241231.5e7bf94
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Jan 2025 09:50:04 +0100

sprayhound (0.0~git20230215.5e0e5b7-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arslan Masood <contact@arszilla.com>  Mon, 10 Jun 2024 00:25:30 +0300

=== debian/control ===
Source: sprayhound
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-ldap3,
 python3-neo4j,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/Hackndo/sprayhound
Vcs-Browser: https://gitlab.com/kalilinux/packages/sprayhound
Vcs-Git: https://gitlab.com/kalilinux/packages/sprayhound.git

Package: sprayhound
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
Description: Password spraying tool and Bloodhound integration
 SprayHound is a Python library to safely password spray in Active Directory,
 which sets pwned users as owned in Bloodhound and detects paths to Domain
 Admins.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = sprayhound

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Skip tests

=== debian/tests/control ===
Test-Command: sprayhound -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/Hackndo/sprayhound HEAD
